import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconCloudSnow = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", { viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size, ...other, children: [_jsx("path", { d: "M20 17.58A5 5 0 0 0 18 8h-1.26A8 8 0 1 0 4 16.25" }), _jsx("line", { x1: "8", y1: "16", x2: "8.01", y2: "16" }), _jsx("line", { x1: "8", y1: "20", x2: "8.01", y2: "20" }), _jsx("line", { x1: "12", y1: "18", x2: "12.01", y2: "18" }), _jsx("line", { x1: "12", y1: "22", x2: "12.01", y2: "22" }), _jsx("line", { x1: "16", y1: "16", x2: "16.01", y2: "16" }), _jsx("line", { x1: "16", y1: "20", x2: "16.01", y2: "20" })] }));
};
IconCloudSnow.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconCloudSnow.js.map