import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
/** @jsxImportSource @emotion/react */
import { Global, css } from "@emotion/react";
import * as React from "react";
import toaster from "react-toastnotes";
import { Alert } from "./Alert";
import { useTheme, ThemeProvider } from "./Theme/Providers";
const toastStyles = css `
  .Toaster__message-wrapper {
    padding: 8px;
    text-align: left;
  }
`;
/**
 * We export toast as a hook because it allows us to consume
 * the current theme context that it's in and pass that
 * onto our render function
 */
export function useToast() {
    const theme = useTheme();
    function notify({ position = "bottom", duration, render, title, subtitle, intent }) {
        const options = {
            position,
            duration
        };
        if (render) {
            return toaster.notify(({ onClose, id }) => (_jsxs(React.Fragment, { children: [_jsx(Global, { styles: toastStyles }), _jsx(ThemeProvider, { theme: theme, children: render({ onClose, id }) })] })), options);
        }
        toaster.notify(({ onClose, id }) => (_jsxs(React.Fragment, { children: [_jsx(Global, { styles: toastStyles }), _jsx(ThemeProvider, { theme: theme, children: _jsx(Alert, { id: String(id), title: title, component: "div", elevation: "md", subtitle: subtitle, intent: intent, onRequestClose: onClose }) })] })), options);
    }
    return notify;
}
//# sourceMappingURL=Toast.js.map