import * as React from "react";
import { CSSProperties } from "react";
interface TwoHalfRightPanelProps {
    children: React.ReactNode;
    back: React.ReactNode;
    title: string | React.ReactNode;
    menu?: React.ReactNode;
    divStyle?: CSSProperties;
}
/**右半边页面框架;   目的是配合<TwoHalfFrame/>共同构建框架页面。
 * 配合使用<TwoHalfFrame/> 这两个组件的共同父辈：可能是静态路由器分割开的，那么需要在路由器的父辈，也就是index.tsx比如这样的:
 * const container = document.getElementById('root');
 * const root = createRoot(container!);
 * root.render(      底下的顶级组件注入 <XxxContext.Provider比如底下这样的：
 const [enlarge, setEnlarge] = React.useState(null);        右半边页面状态是放大吗
 return (
 <PanelEnlargeCtx.Provider  value={{ enlarge, setEnlarge }}>
 {props.children}
 </PanelEnlargeCtx.Provider>
 )}
 注意：可能要设置<TwoHalfRightPanel  key={不同的id} />避免无法更新页面数据。
 * */
export declare const TwoHalfRightPanel: React.FunctionComponent<TwoHalfRightPanelProps>;
export {};
